Package org.pushingpixels.flamingo.internal.ui.ribbon.appmenu

# Class BasicRibbonApplicationMenuPopupPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.PopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI

public class BasicRibbonApplicationMenuPopupPanelUI extends BasicPopupPanelUI
Basic UI for ribbon application menu button `JRibbonApplicationMenuButton`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`BasicPopupPanelUI.PopupPanelEscapeDismisser, BasicPopupPanelUI.WindowTracker`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JRibbonApplicationMenuPopupPanel`
`applicationMenuPopupPanel`
The associated application menu button.
`protected JPanel`
`footerPanel`
`protected JPanel`
`mainPanel`
`protected static final CommandButtonDisplayState`
`MENU_TILE_LEVEL_1`
`protected JPanel`
`panelLevel1`
`protected JPanel`
`panelLevel2`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`popupPanel`

## Constructor Summary

Constructors
Constructor
Description
`BasicRibbonApplicationMenuPopupPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`protected JPanel`
`createMainPanel()`
`static ComponentUI`
`createUI(JComponent c)`
`JPanel`
`getPanelLevel1()`
`JPanel`
`getPanelLevel2()`
`protected void`
`installComponents()`
Installs components on the associated command popup menu.
`protected void`
`installDefaults()`
Installs default settings for the associated command popup menu.
`protected void`
`installListeners()`
Installs listeners on the associated command popup menu.
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated command popup menu.
`protected void`
`uninstallDefaults()`
Uninstalls default settings from the associated command popup menu.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated command popup menu.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`initiliazeGlobalListeners`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### panelLevel1

protected JPanel panelLevel1

### panelLevel2

protected JPanel panelLevel2

### footerPanel

protected JPanel footerPanel

### MENU_TILE_LEVEL_1

protected static final CommandButtonDisplayState MENU_TILE_LEVEL_1

### applicationMenuPopupPanel

protected JRibbonApplicationMenuPopupPanel applicationMenuPopupPanel
The associated application menu button.

### mainPanel

protected JPanel mainPanel

## Constructor Details

### BasicRibbonApplicationMenuPopupPanelUI

public BasicRibbonApplicationMenuPopupPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicPopupPanelUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `BasicPopupPanelUI`

### installDefaults

protected void installDefaults()
Description copied from class: `BasicPopupPanelUI`
Installs default settings for the associated command popup menu.

Overrides:
  `installDefaults` in class `BasicPopupPanelUI`

### installComponents

protected void installComponents()
Description copied from class: `BasicPopupPanelUI`
Installs components on the associated command popup menu.

Overrides:
  `installComponents` in class `BasicPopupPanelUI`

### createMainPanel

protected JPanel createMainPanel()

### installListeners

protected void installListeners()
Description copied from class: `BasicPopupPanelUI`
Installs listeners on the associated command popup menu.

Overrides:
  `installListeners` in class `BasicPopupPanelUI`

### uninstallDefaults

protected void uninstallDefaults()
Description copied from class: `BasicPopupPanelUI`
Uninstalls default settings from the associated command popup menu.

Overrides:
  `uninstallDefaults` in class `BasicPopupPanelUI`

### uninstallComponents

protected void uninstallComponents()
Description copied from class: `BasicPopupPanelUI`
Uninstalls subcomponents from the associated command popup menu.

Overrides:
  `uninstallComponents` in class `BasicPopupPanelUI`

### uninstallListeners

protected void uninstallListeners()
Description copied from class: `BasicPopupPanelUI`
Uninstalls listeners from the associated command popup menu.

Overrides:
  `uninstallListeners` in class `BasicPopupPanelUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### getPanelLevel1

public JPanel getPanelLevel1()

### getPanelLevel2

public JPanel getPanelLevel2()